{ inputs, lib, pkgs, config, outputs, ... }:
{
  imports = [
    common/core
    common/optional/desktops
    common/optional/desktops/i3
    common/optional/secrets.nix
  ];

  home.file = {
    ".ansible.cfg".text = ''
      [defaults]
      forks=5
      timeout=600
  
      [ssh_connection]
      ssh_args=-o BatchMode=yes -o ControlMaster=auto -o ControlPersist=8h -o Compression=yes
      control_path=/dev/shm/%%C
      control_path_dir=/dev/shm
      pipelining=True
    '';

    ".mailcap".text = ''
      text/html; elinks -dump %s; copiousoutput
      application/pdf; pdftotext '%s' -; copiousoutput; description=Adobe Portable Document Format
    '';
  };

  xsession.windowManager.i3.config.keybindings = let
    modifier = config.xsession.windowManager.i3.config.modifier;
  in lib.mkOptionDefault {
    "${modifier}+Return" = "exec env LIBGL_ALWAYS_SOFTWARE=1 ghostty";
  };
}
